## 搭建EDB



### 版本信息

centos 7.6

edb9.6



###  安装edb

`postgresplusas-9.5.17.23-1-linux-x64.run`

修改权限 `chmod -R  755 postgresplusas-9.5.17.23-1-linux-x64.run`

执行安装命令  `./postgresplusas-9.5.17.23-1-linux-x64.run`

![image-20220806174619827](http://pic.61dz.com/pic/picimage-20220806174619827.png)

输入数字 `3` 选择中文

![image-20220806190245736](http://pic.61dz.com/pic/image-20220806190245736.png)



然后输入 安装路径 、数据储存路径、日志路径





选择兼容性   是postgresql   还是oracle 

如果选择oracle 将使得 数据类型 函数 语法等更偏向 oracle 

如：

​	date  类型  在oracle 中包含时间 ，在postgresql 中不包含时间，选择oracle 兼容后 date将自动转为 timestamp



设置管理员密码 端口

![image-20220806175746805](http://pic.61dz.com/pic/picimage-20220806175746805-16597798724781.png)





设置语言环境   这里选择 中文 zh_cn.utf8

![image-20220806175900658](http://pic.61dz.com/pic/picimage-20220806175900658.png)



以及设置服务器运行模式 ，以及用途

![image-20220806180223507](http://pic.61dz.com/pic/image-20220806180223507.png)



之后就开始安装了



![image-20220806180318181](http://pic.61dz.com/pic/image-20220806180318181.png)









### 设置EDB 

设置远程登录  编辑文件



vim /数据目录/pg_hba.conf   

在文档的最后添加 

```
host all all 0.0.0.0/0 md5
```



![image-20220806180739714](http://pic.61dz.com/pic/image-20220806180739714.png)





修改连接数（根据服务器配置来 ）



vim  /数据目录/ postgresql.conf 

![image-20220806180900886](http://pic.61dz.com/pic/image-20220806180900886.png)





### 重启生效

`systemctl restart  ppas-9.5.service`

### edb9启动方式

```
Linux：
/etc/init.d/ppas-9.x <start|stop|restart|status|reload>
service ppas-9.x <start|stop|restart|status|reload>
通用方式：
sudo su - enterprisedb
$PGHOME/bin/pg_ctl <start|stop|restart|status|reload> [options]

opt/PostgresPlus/9.5AS
```

