# JAVA开发环境搭建

openJDK+idea+mysql+vue



## openJDK安装

### jvm  版本 

- openJ9 IBM  捐赠给了Eclipse 基金会

- hotspot  oracle 开源的jvm  和oracle jdk 同款

- Temurin   （hotspot）  

- 。。。。。。

  

#### 下载地址 

1. Temurin   https://adoptium.net/temurin/releases/?version=8

2. oracle http://www.oracle.com/technetwork/java/javase/downloads/jdk8-downloads-2133151.html

   

### 安装JDK

这里使用 Temurin  演示 ，选择合适的版本下载 如：windows  x64 jdk 8

下载后解压至合适的目录 如 Z:\jdk\jdk8

#### 设置环境变量

用管理员权限启动 cmd

查看 JAVA_环境变量是否存在

```
echo %JAVA_HOME%
```

设置当前用户环境变量

```
 setx  JAVA_HOME Z:\jdk\jdk8
 
 setx -m PATH "%PATH%;%JAVA_HOME%\bin"
```

设置系统级环境变量

```
 setx /m JAVA_HOME Z:\jdk\jdk8
 
 setx -m PATH "%PATH%;%JAVA_HOME%\bin"
```

系统变量or 用户环境变量只需要设置 一次

#### 验证

运行CMD，验证JAVA环境变量

```
java --version
```

## tomcat8.5下载与安装

   2.1 下载地址：http://tomcat.apache.org/download-80.cgi

   2.2 安装

## eclipse下载

   3.1 下载地址：https://www.eclipse.org/downloads/

## mySql下载与安装

   4.1 下载地址：https://dev.mysql.com/downloads/windows/installer/8.0.html

   4.2 安装